Retrieve a Subscription ListCopy Pageget https://api-dev.gettrx.com/payments/v1/get-subscriptionsQuery ParamslimitnumberDefaults to 10created_startnumberUnix timestamp for created date start filter (inclusive)created_endstringUnix timestamp for created date start filter (inclusive)customerstringrequiredComma separated string of unique customer IDs for the customers for which we want to retrieve subscriptionsstatusstringenumrequiredComma separated string of subscription status enumsincompleteincomplete_expireactivetrialingpast_duecanceledunpaidpausedShow 8 enum valuessitestringrequiredComma separated string of site IDscollection_methodstringenumrequiredComma separated string of collection_method enumssend_invoicecharge_automaticallyAllowed:send_invoicecharge_automaticallynext_results_tokenstringThis is a base64 encoded string for pagination. It will allow you to retrieve the next set of records from the backend. The token is made up by concatenating the following parameters with a pipe separator “|”: created (cdt) subscriptionId (pid) expandstringenumComma separated string of field expansion enums. recurring_items : Will expand the list of recurring_items. Only retrieve 5 max per record one_time_items: Will expand the list of one_time_items. Only retrieve 5 max per record customer: Will expand the customer associated with the subscription site: Will expand the site associated with the subscription recurring_itemsone_time_itemscustomersiteAllowed:recurring_itemsone_time_itemscustomersiteHeaderssecretKeystringrequiredSecret key associated to the partner’s accountidempotencyKeystringrequiredUnique key generated by the partneronBehalfOfstringAccountId of the merchant that will own the productResponses 200Ok 400Bad Request 401Unauthorized 403ForbiddenUpdated 2 days ago